<?php

namespace IpSupply\SyncOrder\Controller\Adminhtml\Config;


class Index extends \Magento\Backend\App\Action
{
    protected $resultPageFactory = false;
    public function __construct(
        \Magento\Backend\App\Action\Context $context,
        \Magento\Framework\View\Result\PageFactory $resultPageFactory
    ) {
        parent::__construct($context);
        $this->resultPageFactory = $resultPageFactory;
    }
    public function execute()
    {
        $resultPage = $this->resultPageFactory->create();
        $resultPage->setActiveMenu('IpSupply_SyncOrder::menu');
        $resultPage->getConfig()->getTitle()->prepend(__('IpSupply | Sync Order'));
        return $resultPage;
    }
    protected function _isAllowed()
    {
        return $this->_authorization->isAllowed('IpSupply_SyncOrder::config');
    }
}
